#ifndef MATH_VECTOR_EDIT_H
#define MATH_VECTOR_EDIT_H

#include <QWidget>
#include "qad_types.h"


class MatrixEdit;


class QAD_EXPORT MathVectorEdit: public QWidget {
	Q_OBJECT
	Q_PROPERTY(QVariant value READ value WRITE setValue NOTIFY valueChanged)
	Q_PROPERTY(bool readOnly READ isReadOnly WRITE setReadOnly)
public:
	explicit MathVectorEdit(QWidget * parent = 0);
	~MathVectorEdit();
	
	QVariant value() const;
	bool isReadOnly() const;
	
private:
	MatrixEdit * edit;
	
public slots:
	void setValue(const QVariant & v);
	void setReadOnly(bool yes);

signals:
	void valueChanged();
	
};


class __MathVectorEditRegistrator__ {
public:
	__MathVectorEditRegistrator__();
};

static __MathVectorEditRegistrator__ __mathvectoreditregistrator__;

#endif // MATH_VECTOR_EDIT_H
